Bug 505661 - Evolution crashes on startup
Evolution crashes on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 509903
  Show dependency treegraph
 
Reported: 2009-06-12 15:45 EDT by Jonathan Kamens
Modified: 2009-07-06 15:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 509903 (view as bug list)
Environment:
Last Closed: 2009-07-06 15:05:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 587165 None None None Never

  None (edit)
Description Jonathan Kamens 2009-06-12 15:45:57 EDT
With everything current from Rawhide, evolution crashes on startup with a double free error from glibc (see below).  Setting MALLOC_CHECK_=0 makes this crash go away.

$ evolution&
[4] 3942
jik2:~/build/dotfiles!1018$ ** (evolution:3942): DEBUG: Loading Exchange MAPI Plugin 

** (evolution:3942): DEBUG: MAPI listener is constructed with 0 listed MAPI accounts 

(evolution:3942): evolution-smime-WARNING **: initializing security library without cert databases.
addressbook_migrate (0.0.0)
*** glibc detected *** evolution: double free or corruption (!prev): 0x08d36fe8 ***
======= Backtrace: =========
/lib/libc.so.6[0x148b231]
/lib/libglib-2.0.so.0(g_free+0x36)[0x6681456]
/usr/lib/libedataserver-1.2.so.11[0x347c49]
/usr/lib/libedataserver-1.2.so.11(e_categories_get_list+0x28)[0x348228]
/usr/lib/evolution/2.28/plugins/liborg-gnome-calendar-weather.so(e_plugin_lib_enable+0x3a)[0x5626f6a]
/usr/lib/evolution/2.28/libeutil.so.0[0xd5458d]
/usr/lib/evolution/2.28/libeutil.so.0[0xd54811]
/usr/lib/evolution/2.28/libeutil.so.0(e_plugin_invoke+0xa1)[0xd54d81]
/usr/lib/evolution/2.28/libeutil.so.0[0xd4a01a]
/usr/lib/evolution/2.28/libeutil.so.0(e_event_emit+0xbc)[0xd4a1ac]
/usr/lib/evolution/2.28/components/libevolution-calendar.so(migrate_calendars+0x444)[0x1ed2704]
/usr/lib/evolution/2.28/components/libevolution-calendar.so[0x1e53055]
/usr/lib/evolution/2.28/libeshell.so.0(_ORBIT_skel_small_GNOME_Evolution_Component_upgradeFromVersion+0x36)[0x7c8a16]
/usr/lib/libORBit-2.so.0(ORBit_c_stub_invoke+0x12e)[0x7acb96e]
/usr/lib/evolution/2.28/libeshell.so.0(GNOME_Evolution_Component_upgradeFromVersion+0x95)[0x7ca575]
evolution(e_shell_attempt_upgrade+0x28e)[0x805497e]
evolution(e_shell_construct+0xef)[0x80550cf]
evolution(e_shell_new+0x4d)[0x80551cd]
evolution[0x805de45]
evolution(main+0x808)[0x805e968]
/lib/libc.so.6(__libc_start_main+0xe6)[0x1431a66]
evolution[0x8050dd1]
======= Memory map: ========
00110000-00111000 r-xp 00000000 00:00 0          [vdso]
00111000-0011b000 r-xp 00000000 08:01 9438609    /usr/lib/libgdata-1.2.so.1.0.0
0011b000-0011c000 rw-p 00009000 08:01 9438609    /usr/lib/libgdata-1.2.so.1.0.0
0011c000-00184000 r-xp 00000000 08:01 9437904    /usr/lib/libcamel-provider-1.2.so.14.0.1
00184000-00186000 rw-p 00068000 08:01 9437904    /usr/lib/libcamel-provider-1.2.so.14.0.1
00186000-001b4000 r-xp 00000000 08:01 15663356   /lib/libssl3.so
001b4000-001b6000 rw-p 0002d000 08:01 15663356   /lib/libssl3.so
001b6000-00216000 r-xp 00000000 08:01 9437885    /usr/lib/libcamel-1.2.so.14.0.1
00216000-0022d000 rw-p 00060000 08:01 9437885    /usr/lib/libcamel-1.2.so.14.0.1
0022d000-00233000 r-xp 00000000 08:01 9440220    /usr/lib/libgpilotdcm.so.2.1.0
00233000-00234000 rw-p 00005000 08:01 9440220    /usr/lib/libgpilotdcm.so.2.1.0
00234000-00248000 r-xp 00000000 08:01 9440226    /usr/lib/libgpilotdconduit.so.2.0.4
00248000-00249000 rw-p 00014000 08:01 9440226    /usr/lib/libgpilotdconduit.so.2.0.4
00249000-0024c000 r-xp 00000000 08:01 15663178   /lib/libgmodule-2.0.so.0.2101.0
0024c000-0024d000 rw-p 00002000 08:01 15663178   /lib/libgmodule-2.0.so.0.2101.0
0024d000-0024f000 r-xp 00000000 08:01 9438586    /usr/lib/libavahi-glib.so.1.0.1
0024f000-00250000 rw-p 00002000 08:01 9438586    /usr/lib/libavahi-glib.so.1.0.1
00250000-00252000 r-xp 00000000 08:01 15663193   /lib/libplds4.so
00252000-00253000 rw-p 00002000 08:01 15663193   /lib/libplds4.so
00253000-0028a000 r-xp 00000000 08:01 15663191   /lib/libnspr4.so
0028a000-0028c000 rw-p 00036000 08:01 15663191   /lib/libnspr4.so
0028c000-0028d000 rw-p 00000000 00:00 0 
0028d000-00291000 r-xp 00000000 08:01 15663165   /lib/libuuid.so.1.2
00291000-00292000 rw-p 00003000 08:01 15663165   /lib/libuuid.so.1.2
00292000-00297000 r-xp 00000000 08:01 9437910    /usr/lib/libebackend-1.2.so.0.0.1
00297000-00298000 rw-p 00004000 08:01 9437910    /usr/lib/libebackend-1.2.so.0.0.1
00298000-002d0000 r-xp 00000000 08:01 9438480    /usr/lib/libpisock.so.9.0.2
002d0000-002d4000 rw-p 00038000 08:01 9438480    /usr/lib/libpisock.so.9.0.2
002d4000-002d8000 rw-p 00000000 00:00 0 
002d8000-0031b000 r-xp 00000000 08:01 9437962    /usr/lib/libecal-1.2.so.7.2.2
0031b000-0031f000 rw-p 00042000 08:01 9437962    /usr/lib/libecal-1.2.so.7.2.2
0031f000-00326000 r-xp 00000000 08:01 9439846    /usr/lib/libSM.so.6.0.0
00326000-00327000 rw-p 00006000 08:01 9439846    /usr/lib/libSM.so.6.0.0
00327000-00329000 r-xp 00000000 08:01 9439881    /usr/lib/libXinerama.so.1.0.0
00329000-0032a000 rw-p 00001000 08:01 9439881    /usr/lib/libXinerama.so.1.0.0
0032a043193b5-2bb5-f13a-2879694b-604fb385 is dumped
Comment 1 Jonathan Kamens 2009-06-12 16:05:18 EDT
Once I was able to run evolution with MALLOC_CHECK_=0, then I was able to exit and restart it *without* MALLOC_CHECK_=0 and it ran without crashing as shown above.
Comment 2 Matthew Barnes 2009-06-19 12:54:55 EDT
This might have been fixed upstream already.  Can you retest 2.27.3 and if it's still crashing, run Evolution under gdb and get a stacktrace?  Thanks.
Comment 3 Matthew Barnes 2009-07-02 22:16:24 EDT
I recognize this backtrace now -- fixed it upstream just recently.

I'll backport the patch.

http://bugzilla.gnome.org/show_bug.cgi?id=587165
Comment 4 Matthew Barnes 2009-07-02 22:51:15 EDT
See if evolution-data-server-2.27.3-3.fc12 resolves the startup crash.
Comment 5 Jonathan Kamens 2009-07-06 14:38:23 EDT
Startup crash gone.  Now other issues.  Got it to crash twice after setting up a MAPI account.  Unfortunately, can't replicate that crash with debuginfo packages installed.  However, now evolution is consuming a huge amount of RAM (1.5GB resident, >3GB total virtual size) and sucking a huge amount of CPU.  I suspect that the previous two crashes were out-of-memory issues, since I just got this:

Glib-ERROR **: gmim.c:175:failed to allocate 65536 bytes
aborting...

I'm pretty sure evolution shouldn't need >3GB of RAM just to read my email.  Something is definitely still wrong here.
Comment 6 Matthew Barnes 2009-07-06 15:05:59 EDT
Closing since original issue is fixed.

Note You need to log in before you can comment on or make changes to this bug.